summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2024-04-24 11:09:31 +0200
committerFlorian Dold <florian@dold.me>2024-04-24 11:09:31 +0200
commit344c4a265c1a08684a22f2e18988cc0c80caad44 (patch)
tree52c4d9e9f13ff961d86b5b1c353c5e5a3f930e92
parent02879727c47769c625b4ef00b52dce414d23f290 (diff)
downloadanastasis-master.tar.gz
anastasis-master.tar.bz2
anastasis-master.zip
remove htmlark check from bootstrapHEADv0.4.2-dev.1master
It's not unsed in the bootstrap and not required for building anastasis, so the check should not be there.
-rwxr-xr-xbootstrap6
-rwxr-xr-xcontrib/update-pp.sh7
-rwxr-xr-xcontrib/update-tos.sh7
3 files changed, 14 insertions, 6 deletions
diff --git a/bootstrap b/bootstrap
index eaaf3fc..b154cd3 100755
--- a/bootstrap
+++ b/bootstrap
@@ -5,12 +5,6 @@ if ! git --version >/dev/null; then
exit 1
fi
-if ! htmlark --version >/dev/null; then
- echo "htmlark not installed"
- echo "Run 'pip install htmlark'"
- exit 1
-fi
-
echo "$0: Updating submodules"
echo | git submodule update --init --force --remote
diff --git a/contrib/update-pp.sh b/contrib/update-pp.sh
index 03aa237..89390a1 100755
--- a/contrib/update-pp.sh
+++ b/contrib/update-pp.sh
@@ -6,6 +6,13 @@
# Error checking on
set -eu
+
+if ! htmlark --version >/dev/null; then
+ echo "htmlark not installed"
+ echo "Run 'pip install htmlark'"
+ exit 1
+fi
+
echo "Generating PP for ETag $VERSION"
rm -f sphinx.log sphinx.err
diff --git a/contrib/update-tos.sh b/contrib/update-tos.sh
index 26d65ed..04fff48 100755
--- a/contrib/update-tos.sh
+++ b/contrib/update-tos.sh
@@ -6,6 +6,13 @@
# Error checking on
set -eu
+
+if ! htmlark --version >/dev/null; then
+ echo "htmlark not installed"
+ echo "Run 'pip install htmlark'"
+ exit 1
+fi
+
echo "Generating TOS for ETag $VERSION"
rm -f sphinx.log sphinx.err